image: $DOCKER_DOTNET_SDK_IMAGE

variables:
  CLIENT_FOLDER: MyNoSqlServer.TcpClient

stages:
  - publish-tcp-client

publish-tcp-client:
  stage: publish-tcp-client
  #tags: [sofia]
  script:
    - cd ${CLIENT_FOLDER}
    - projectfile=${CLIENT_FOLDER}
    - ver=$(cat $projectfile.csproj | grep '<Version>' | awk -F ">" '{print $2}' | awk -F"<" '{print $1}')
    - echo $ver
    - dotnet pack $projectfile.csproj --configuration Release --output ./out-nuget
    - dotnet nuget push ./out-nuget/$projectfile.$ver.nupkg --api-key ${NUGET_PUBLISH_KEY} --source https://api.nuget.org/v3/index.json
  only:
    - master
